--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This class provides a facility to parse a string containing one or more RFC2822 addresses into an array of RMail::Address objects. You can use it directly, but it is more conveniently used with the RMail::Address.parse method.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_ATOM
  value: ":atom"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_ATOM_NON_ASCII
  value: ":atom_non_ascii"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_QTEXT
  value: ":qtext"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_COMMA
  value: ":comma"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_LESS_THAN
  value: ":less_than"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_GREATER_THAN
  value: ":greater_than"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_AT_SIGN
  value: ":at_sign"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_PERIOD
  value: ":period"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_COLON
  value: ":colon"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_SEMI_COLON
  value: ":semi_colon"
- !ruby/object:RI::Constant 
  comment: 
  name: SYM_DOMAIN_LITERAL
  value: ":domain_literal"
full_name: RMail::Address::Parser
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: parse
name: Parser
superclass: Object
